Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.core.support
Class RepositoryFactorySupport.QueryExecutorMethodInterceptor

    java.lang.Object
      org.springframework.data.repository.core.support.RepositoryFactorySupport.QueryExecutorMethodInterceptor

All Implemented Interfaces:
  org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor

Enclosing class:
  RepositoryFactorySupport

    public class RepositoryFactorySupport.QueryExecutorMethodInterceptor

extends Object
implements org.aopalliance.intercept.MethodInterceptor

This `MethodInterceptor` intercepts calls to methods of the custom implementation and delegates the to it if configured. Furthermore it resolves method calls to finders and triggers execution of them. You can rely on having a custom repository implementation instance set if this returns true.

Author:
  Oliver Gierke

Constructor Summary
`RepositoryFactorySupport.QueryExecutorMethodInterceptor(RepositoryInformation repositoryInformation, Object customImplementation, Object target)` Creates a new `RepositoryFactorySupport.QueryExecutorMethodInterceptor`.

Method Summary
`Object` | `invoke(org.aopalliance.intercept.MethodInvocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryFactorySupport.QueryExecutorMethodInterceptor

    public RepositoryFactorySupport.QueryExecutorMethodInterceptor(RepositoryInformation repositoryInformation,
                                                                   Object customImplementation,
                                                                   Object target)

  Creates a new `RepositoryFactorySupport.QueryExecutorMethodInterceptor`. Builds a model of `QueryMethod`s to be invoked on execution of repository interface methods.

Method Detail

### invoke

    public Object invoke(org.aopalliance.intercept.MethodInvocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.